*.    MUGEO
*.
*...MUGEO    Common for Muon Chamber, Retrun Yoke, and Solenoid geometry
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Yoshiaki FUJII
*. VERSION   : 1.00
*. CREATED   : 11-July-97
*.
*. MODIFICATION LOG
*.
*.**********************************************************************
      REAL RIVLSO,ROVLSO,ZBVLSO,TKVLSO
      REAL RMINSO,RMAXSO,ZMAXSO
      REAL RMINYK,RMAXYK,ZMAXYK,RINYK,ROUTYK
      REAL ZMAXMU
      INTEGER NSLMU,NCHMU
      REAL TCHMU,ZCHMU,WCHMU
      INTEGER NSECMU, NPLYMU, NPMDMU
      PARAMETER (NSECMU=8, NPLYMU=4, NPMDMU=400)
      INTEGER NLAYMU
      REAL BLNGMU, BWIDMU, BTHKMU, BRADMU, WCELMU
      COMMON /MUGEO / 
     &     RIVLSO, ROVLSO, ZBVLSO, TKVLSO,
     &     RMINSO, RMAXSO, ZMAXSO, 
     &     RMINYK, RMAXYK, ZMAXYK, RINYK(10), ROUTYK(10),
     &     ZMAXMU,
     &     NSLMU,  NCHMU,  TCHMU,  ZCHMU,  WCHMU,
     &     NLAYMU,
     &     BLNGMU(NSECMU),BWIDMU(NSECMU),BTHKMU(NSECMU),BRADMU,
     &     WCELMU
      SAVE   /MUGEO/

*
*     SO means Solenoid-related Parameters.
*     YK means Return-Yoke-related Parameters. 
*     MU means Muon-Chamber-related Parameters.
*
*     RIVLSO,ROVLSO,ZBVLSO,THVLSO ; Inner-Radius, Outer-Radius, Zmax  
*                    and thickness of vacuum vessel for the solenoid. 
*
*     RMINSO,RMAXSO,ZMAXSO ; Inner-Radius, Outer-Radius and Zmax  
*                    of the solenoid. 
*
*     RMINYK,RMAXYK,ZMAXYK ; Inner-Radius, Outer-Radius and Zmax
*         of the Barrel-Return-Yoke Iron. 
*         Number of Layers are determined by muon chamber parameters.
*
*     TCHMU,ZCHMU,WCHMU ; Thickness, z-length and width of one muon
*               chamber module. Presently Belle-type RPC is assumed.
*     NCHMU ; Number of muon-chamber layers to form one Super-Layer.
*     NSLMU ; Number of Super-Layers for barrel part. 
*
