      SUBROUTINE BKDUMP(LUN,CNAME)
*.
*...BKDUMP   Print out contents of the specified bank.
*.
*. INPUT     : CNAME Name of the bank
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : 
*. CALLS     : 
*. CALLED    : 
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Naoyasu HOSODA
*. VERSION   : 1.00
*. CREATED   : 30-Jun-1994
*. LAST MOD  : 30-Jun-1994
*.
*. MODIFICATION LOG
*.
*.**********************************************************************
      IMPLICIT NONE

      INTEGER LUN
      CHARACTER*(*) CNAME

*--   Common for GEANT
      INTEGER NDATMX,NDATA
      PARAMETER (NDATMX=1000)
      INTEGER   IDATA(NDATMX)
      REAL      RDATA(NDATMX)
      EQUIVALENCE (IDATA(1), RDATA(1))

      INTEGER NSEGM,ISEG
      INTEGER ID

*--   Get the number of segments of the specified bank.
      CALL KZNSEG(CNAME,NSEGM)

      WRITE(LUN,600) CNAME
  600 FORMAT('***BANK DUMP***  : ',A32)

*--   Master segment 
      WRITE(LUN,*) '  -Master segment-'

*--   Get the contents of the bank with the specified segment#
      CALL KZGET(CNAME,0, NDATA,RDATA)
      WRITE(LUN,610) NDATA
  610 FORMAT(I8)
      WRITE(LUN,630) (IDATA(ID),ID=1,NDATA)
  630 FORMAT(5I15)
      WRITE(LUN,620) (RDATA(ID),ID=1,NDATA)
  620 FORMAT(5F15.6)

*--   Data segment
      WRITE(LUN,*) '  -Data segment-   # of segment=',NSEGM
      DO 10 ISEG=1,NSEGM
        CALL KZGET(CNAME,ISEG, NDATA,RDATA)
        WRITE(LUN,610) NDATA
        WRITE(LUN,630) (IDATA(ID),ID=1,NDATA)
        WRITE(LUN,620) (RDATA(ID),ID=1,NDATA)
   10 CONTINUE

      RETURN
      END
