      SUBROUTINE SMGMTX(P,P1,P2,P3,RM)

      IMPLICIT NONE
      REAL P(*),P1(*),P2(*),P3(*),RM(3,*)

      REAL PTOT
      INTEGER I

      PTOT=SQRT(P(1)**2+P(2)**2+P(3)**2)

      IF (PTOT.LE.0.) THEN      
         CALL MSGOUT('SMGMTX','ZERO MOMENTUM detected',1)
         RETURN
      ENDIF

*--- RM rotation matrix
*--- first determin 3rd axis
      P3(1)=P(1)/PTOT
      P3(2)=P(2)/PTOT
      P3(3)=P(3)/PTOT
*--- next 1st axis
      IF (P3(1).EQ.0) THEN
         P1(1)=1.
         P1(2)=0.
         P1(3)=0.
      ELSEIF (P3(2).EQ.0) THEN
         P1(1)=0.
         P1(2)=1.
         P1(3)=0.
      ELSEIF (P3(3).EQ.0) THEN
         P1(1)=0.
         P1(2)=0.
         P1(3)=1.
      ELSE
*-- all P3(1-3) are NON ZERO
         P1(1)=0.
         P1(2)=1.
         P1(3)=-P3(2)/P3(3)
         PTOT=SQRT(P1(1)**2+P1(2)**2+P1(3)**2)
         P1(2)=P1(2)/PTOT
         P1(3)=P1(3)/PTOT
      ENDIF
*--- next 2nd axis BY GAISEKI
      P2(1)=P3(2)*P1(3)-P3(3)*P1(2)
      P2(2)=P3(3)*P1(1)-P3(1)*P1(3)
      P2(3)=P3(1)*P1(2)-P3(2)*P1(1)

*---- determined 3 axis      : fill rotation matrix
      DO 100 I=1,3
         RM(1,I) = P1(I)
         RM(2,I) = P2(I)
         RM(3,I) = P3(I)
 100  CONTINUE
      
      RETURN
      END
