*
*     SUBROUTINE VXHFIL
*
*     CALLED BY GUOUT
*     CALLS  KZGET1, HFILL
*
*     THIS ROUTINE READS DATA FROM BANKS AND FILL HISTOGRAMS.
*     ===> SEE VXDIGI FOR BANK STRUCTURE.
*
*     AUTHOR ; Y. Fujii
*     MADE   ; 95-MAY-09
*
      SUBROUTINE VXHFIL
      IMPLICIT NONE

#include "jmdet.inc"

      INTEGER       IH, IHL, NDATA, NTRACK, NUMHIT
      REAL          EPXL
      CHARACTER*32  CNAVXH
      PARAMETER    (CNAVXH = 'MCVXHIT' )
      INTEGER       IBUFF(10)
      REAL           BUFF(10)
      EQUIVALENCE  (IBUFF(1),BUFF(1))

      INTEGER IT,IL
      INTEGER ITOLD,ILOLD

      INTEGER ID0

      INTEGER I

*     READ DATA FROM BANK MCVXHIT

      ID0 = NID0JM*IDETVX

      NDATA  = 2
      CALL KZGET('MCVXHIT',0,NDATA,IBUFF)
      NUMHIT = IBUFF(1)
      NTRACK = IBUFF(2)

      DO 101   I=1,NUMHIT
         NDATA = 10
         CALL KZGET('MCVXHIT',I,NDATA,IBUFF)
         IT = IBUFF(1)
         IL = IBUFF(2)
         IF (I.EQ.1)   THEN
            ITOLD = IT
            ILOLD = IL
            EPXL  = BUFF(10)
         ELSEIF (IT.EQ.ITOLD .AND. IL.EQ.ILOLD) THEN
            EPXL = EPXL + BUFF(10)
         ELSE                       
            IH = ID0+1
            CALL HF1(IH,EPXL,1.)
            ITOLD = IT
            ILOLD = IL
            EPXL  = BUFF(10)
         ENDIF      
c .. plot rphi resolution vs P ( assume 0 degree generation)
         IHL = ID0+IL+1
cc         print *,' ihl..',ihl,' p, x=',buff(9),buff(6)
         CALL HFILL(IHL,BUFF(9),BUFF(6), 1.0)  
  101 CONTINUE
      IH = ID0+1
      CALL HF1(IH,EPXL,1.)

      RETURN
      END
