      SUBROUTINE VXANAL(IERR)

      IMPLICIT NONE

#include "vxgeo.inc"
#include "vxdata.inc"
#include "vxclsd.inc"
#include "vxcldt.inc"
      
      INTEGER ICLS, ICLSHT
      INTEGER JHIT

      INTEGER NCLS,MXNCLS,MXHIBF
      PARAMETER (MXNCLS=10000,MXHIBF=20000)
      INTEGER ICLSBF(NCLELM,MXNCLS), HIDXBF(MXHIBF)
      REAL    RCLSBF(NCLELM,MXNCLS)
      EQUIVALENCE (ICLSBF,RCLSBF)
      REAL ETHRES
      PARAMETER (ETHRES=0.0)
      
      INTEGER IERR


      IERR = 0

      CALL VXGETH

      IF (NHITVX .GT. MXHIBF) THEN
         CALL MSGOUT('VXANAL','NHITVX too large',NHITVX)
         RETURN
      ENDIF

      CALL VXCLS0
      CALL VXCLS1(ICLSBF,RCLSBF,MXNCLS,NCLS,HIDXBF,MXHIBF,ETHRES)
      
C      DO 100 ICLS=1,5
C        WRITE(6,102) ICLS, ICLSBF(CLILAY,ICLS), ICLSBF(CLNHIT,ICLS)
C     &       , ICLSBF(CLIPMN,ICLS), ICLSBF(CLIPMX,ICLS)
C     &       , ICLSBF(CLIZMN,ICLS), ICLSBF(CLIZMX,ICLS)
C        JHIT=ICLSBF(CLIHIT,ICLS)
C        IF (ICLSBF(CLIPMN,ICLS) .GT. ICLSBF(CLIPMX,ICLS)) THEN
C          WRITE (6,103)
C          DO 110 IHIT=1,ICLSBF(CLNHIT,ICLS)
C            IF (JHIT.GT.MXHIBF) THEN
C              print *, '!!! ihit .gt. mxhibf !!!  ihit=',ihit
C     &              ,' mxhibf=',mxhibf
C              STOP
C            ENDIF
C            WRITE (6,104) JHIT, ILAYVX(JHIT), IPCLVX(JHIT), IZCLVX(JHIT)
C            JHIT=HIDXBF(JHIT)
C 110      CONTINUE
C        ENDIF
C 100  CONTINUE
C 101  FORMAT ('CLS#',' LAY',' NHIT',' PHMIN',' PHMAX','  ZMIN','  ZMAX')
C 102  FORMAT (I4,I4,I5,4I6)
C 103  FORMAT (4X,'  HIT#',' LAY','  IPHI','  IZED')
C 104  FORMAT (4X,I6,I4,2I6)
      
CCCCC CALL VXCLS3(ICLSBF,RCLSBF,NCLS,HIDXBF,NHITVX,ETHRES)
      CALL VXCLS4(ICLSBF,RCLSBF,NCLS,HIDXBF,NHITVX,ETHRES)
CCCCC CALL VXCLSH(ICLSBF,RCLSBF,NCLS,HIDXBF,NHITVX,'FILL')
      
      NCLSVC = NCLS
      DO 100 ICLS=1,NCLS
         ILAYVC(ICLS) = ICLSBF(CLILAY,ICLS)
         IPMNVC(ICLS) = ICLSBF(CLIPMN,ICLS)
         IPMXVC(ICLS) = ICLSBF(CLIPMX,ICLS)
         IZMNVC(ICLS) = ICLSBF(CLIZMN,ICLS)
         IZMXVC(ICLS) = ICLSBF(CLIZMX,ICLS)
         RVC(ICLS)    = RCLSBF(CLCOR, ICLS)
         PHIVC(ICLS)  = RCLSBF(CLCOPH,ICLS)
         ZVC(ICLS)    = RCLSBF(CLCOZ, ICLS)
         WIDPVC(ICLS) = RCLSBF(CLWIDP,ICLS)
         WIDZVC(ICLS) = RCLSBF(CLWIDZ,ICLS)
         SIGRVC(ICLS) = RCLSBF(CLSIGR,ICLS)
         SIGPVC(ICLS) = RCLSBF(CLSIGP,ICLS)
         SIGZVC(ICLS) = RCLSBF(CLSIGZ,ICLS)
         EVC(ICLS)    = RCLSBF(CLESUM,ICLS)
         LENVC(ICLS)  = RCLSBF(CLLEN ,ICLS)
         WIDVC(ICLS)  = RCLSBF(CLWID ,ICLS)
         SIGLVC(ICLS) = RCLSBF(CLSIGL,ICLS)
         SIGWVC(ICLS) = RCLSBF(CLSIGW,ICLS)
         SIGVC(ICLS)  = RCLSBF(CLSIG ,ICLS)
         NHITVC(ICLS) = ICLSBF(CLNHIT,ICLS)
         JHIT         = ICLSBF(CLIHIT,ICLS)
         ITRKVC(ICLS) = ITRKVX(JHIT)
         DO 110 ICLSHT=1,NHITVC(ICLS)
            IHITVC(ICLSHT,ICLS) = JHIT
            IZHTVC(ICLSHT,ICLS) = IZCLVX(JHIT)
            IPHTVC(ICLSHT,ICLS) = IPCLVX(JHIT)
            IPARVC(ICLSHT,ICLS) = IPARVX(JHIT)
            EHITVC(ICLSHT,ICLS) = ELOSVX(JHIT)
            PTRKVC(ICLSHT,ICLS) = PTRKVX(JHIT)
            IF (ITRKVC(ICLS).NE.ITRKVX(JHIT)) ITRKVC(ICLS)=0
            JHIT=HIDXBF(JHIT)
 110     CONTINUE
 100  CONTINUE 
     
      RETURN
      END
