************************************************************************
*     ------------------------
      SUBROUTINE KZENXT(ICOND)
*     ------------------------
*
*     (Purpose)
*        Mark the next event in the event buffer as "current".
*
*     (Creation Date)
*        1994.06.15 : First version by J.Kanzaki.
*        1996.04.25 : Add declarations by J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbs.inc"
#include "zbssys.inc"

      INTEGER ICOND

      INTEGER LEVC,LELS,LLST
      INTEGER LCUR,LNXT
      INTEGER LZLAST


      ICOND = 0

      LEVC = LZBS(IPEVC)

      LELS = LZBS(LEVC-ILEMLS)
      LLST = LZLAST(IXSTOR,LELS)

      LCUR = LZBS(LEVC-ILEMCR)

      IF(LCUR.NE.LLST) THEN

         LNXT = LZBS(LCUR)
         LZBS(LEVC-ILEMCR) = LNXT

      ELSE

         ICOND = 1

      END IF

      CALL KZMKDT

      RETURN
      END
