************************************************************************
*     -----------------------------
      SUBROUTINE KZEXDR(LBIR,LDATA)
*     -----------------------------
*
*     (Purpose)
*       Expand data record.
*
*     (Input)
*       LBIR  ; Address of the bank index record
*       LDATA ; Target data length to be added.
*
*     (Output)
*       none
*
*     (Creation Date and Author)
*       1991.12.25 : First version by J.Kanzaki
*       1996.04.26 : Add declarations. J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbs.inc"
#include "zbssys.inc"

      INTEGER LBIR,LDATA

      INTEGER LDTR
      INTEGER LDTREC,LFILLD
      INTEGER NEXTDT
      INTEGER LDTRC1,LDDIFF


      LDTR=LZBS(LBIR-ILDATR)

      LDTREC=IZBS(LBIR+ILDTRC)
      LFILLD=IZBS(LBIR+ILFILL)

      NEXTDT=IZBS(LBIR+INEXDT)
      NEXTDT=NEXTDT+1

      LDDIFF=LFILLD+LDATA-LDTREC

      LDTRC1=IZBS(LBIR+ILDTR1)
      IF(LDDIFF.GT.LDTRC1) LDTRC1=(LDDIFF/LDTRC1+1)*LDTRC1
      LDTRC1=NINT(1.4*LDTRC1)
C     LDTRC1=2*LDTRC1
CCC   IF(MOD(NEXTDT,2).EQ.0) LDTRC1=2*LDTRC1
      CALL MZPUSH(IXSTOR,LDTR,0,LDTRC1,' ')
      LDTR=LZBS(LBIR-ILDATR)
      IZBS(LBIR+ILDTRC)=LDTREC+LDTRC1
      IZBS(LBIR+INEXDT)=NEXTDT
      IZBS(LBIR+ILDTR1)=LDTRC1

      RETURN
      END
