************************************************************************
*     ------------------------------
      SUBROUTINE KZPDIR(CNAME,IPDIR)
*     ------------------------------
*
*     (Purpose)
*       Returns entry point in the pointer table for a given
*       bank with a name "CNAME".
*
*     (Input)
*       CNAME ; Name of the bank.
*
*     (Output)
*       IPDIR ; Entry point of the pointer table.
*
*     (Creation Date and Author)
*       1994.06.15 ; First version by J.Kanzaki
*       1996.04.26 : Add declarations. J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbssys.inc"
#include "zbs.inc"

      CHARACTER*(*) CNAME
      INTEGER IPDIR

      INTEGER IPFIND
      INTEGER KZNAME

      INTEGER LDIR,LPNT,LSRT


      IPDIR=0

      IPFIND=KZNAME(CNAME)

      IF(IPFIND.EQ.0) RETURN

      LDIR = LZBS(IPDIRT)

      LPNT=LZBS(LDIR-ILBPNT)
      LSRT=LZBS(LDIR-ILBSRT)

      IF(IPFIND.GT.0) THEN

         IPDIR=IZBS(LSRT+IPFIND)

      ELSE

         CALL KZADDN(IPFIND,CNAME,IPDIR)

      END IF

      RETURN
      END
