      REAL FUNCTION CALIBP(X)
C
C     X is energy
C
C      REAL FUNCTION HADPI2(X)
C
*
      IMPLICIT NONE
      REAL  X,Z
      
      INTEGER NPEM
      PARAMETER (NPEM=5)
      REAL    EMYVAL(NPEM),EMXVAL(NPEM),COR
      SAVE    EMYVAL,EMXVAL
      DATA EMYVAL/-0.28, -0.02, -0.01, -0.005, 0.0/
      DATA EMXVAL/1.0, 2.0, 3.0, 5.0, 10.0/
*
*---- first rough position dependence 

*     0 th calibration

      Z = X/.21242E-01           
* 
      CALL CALIBS(Z,NPEM,EMXVAL,EMYVAL,COR)
*     1st order calib
      Z = Z /(1.+COR)

*
      CALIBP = Z
      END
