*.    VXGEO
*.
*...VXGEO    Common for vertex detector geometry
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Naoyasu HOSODA
*. VERSION   : 1.00
*. CREATED   : 18-May-94
*. LAST MOD  : 15-Dec-1998
*.
*.    SITKVX = Si thickness
*.    DLTKVX = Si thickness
*.    PXCLVX = pixcel size
*.    NLAYVX = Number of layers
*.    RVX(1) = 1st layer radius
*.    ZVX(1) = 1st layer half Z length
*.    RVX(2) = 2nd layer radius
*.    ZVX(2) = 2st layer half Z length
*.    RVX(3) = 3rd layer radius
*.    ZVX(3) = 3st layer half Z length
*. 
*. MODIFICATION LOG
*. 15-Dec-1998 A.Miyamoto, Number of VX layer (MLAYVX) can be up to 6.
*. 29-Jul-94 N.Hosoda, Add SAVE
*. 08-Jul-94 N.Hosoda, Add VXVNAM
*. 01-MAY-95 Y.FUJII,  ADD DLTHVX
*.
*.**********************************************************************
      INTEGER MLAYVX
      PARAMETER (MLAYVX=6)

      REAL DLTKVX,PXCLVX,RVX,ZVX,SITKVX
      INTEGER NLAYVX
      COMMON /VXGEO/ DLTKVX,PXCLVX,NLAYVX,RVX(MLAYVX),ZVX(MLAYVX),SITKVX
      SAVE /VXGEO/
