      SUBROUTINE BMSPAR
*.
*...BMSPAR   Saves Beam Profile Monitor Parameters into ZBS Bank.
*.           
*.
*. INPUT     : non
*. OUTPUT    : non
*.
*. SEQUENCE  :
*. COMMON    : 
*. CALLS     : 
*. CALLED    : JSTPAR
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : T. Tauchi
*. VERSION   : 1.00
*. CREATED   : 29-Aug-1996
*. LAST MOD  : 
*.
*. MODIFICATION LOG
*.
*.**********************************************************************
      IMPLICIT NONE

#include "bmgeo.inc"
      
      INTEGER NDMAX
      PARAMETER (NDMAX=14)
      INTEGER IDATA(NDMAX)
      REAL    RDATA(NDMAX)
      EQUIVALENCE (RDATA(1),IDATA(1))
      
      INTEGER IERR

      
*-- Create ZBS Bank MCBMPAR
      CALL KZBCR1('MCBMPAR',NDMAX,'5I 9F',0,0,' ',IERR)

*-- Store Data to given Segment of Bank MCBMPAR
      IDATA(1)  = NLAYBM
      IDATA(2)  = NDIVBM(1,1)
      IDATA(3)  = NDIVBM(2,1)
      IDATA(4)  = NDIVBM(1,2)
      IDATA(5)  = NDIVBM(2,2)
      RDATA(6)  = SITKBM
      RDATA(7)  = PXCLBM(1)
      RDATA(8)  = PXCLBM(2)
      RDATA(9)  = RINNBM(1)
      RDATA(10) = RINNBM(2)
      RDATA(11) = ROUTBM(1)
      RDATA(12) = ROUTBM(2)
      RDATA(13) = ZBM(1)
      RDATA(14) = ZBM(2)

      CALL KZPUT1('MCBMPAR',0,0,NDMAX,IDATA)

      RETURN
      END
