*
*     SUBROUTINE CTHFIL
*
*     CALLED BY GUOUT
*     CALLS  KZGET1, HFILL
*
*     THIS ROUTINE READS DATA FROM BANKS AND FILL HISTOGRAMS.
*     ===> SEE CTDIGI FOR BANK STRUCTURE.
*
*     AUTHOR ; Y. Fujii
*     MADE   ; 96-Sep-17
*
*
      SUBROUTINE CTHFIL
      IMPLICIT NONE

#include "jmdet.inc"

      INTEGER       NT, NH, IL, ISL
c      REAL          LAYER, SLAYER
      INTEGER       IBUFF(20)
      REAL           BUFF(20)
      EQUIVALENCE  (IBUFF(1),BUFF(1))

      INTEGER NDATA
      REAL DE

      INTEGER ID0

      INTEGER J

*-- Read data from bank MCCTHIT

      ID0 = NID0JM*IDETCT

      CALL KZGET('MCCTHIT',0, NDATA,IBUFF)
      NT = IBUFF(1)
      NH = IBUFF(2)

      DO 102 J=1,NH
         CALL KZGET('MCCTHIT',J, NDATA,IBUFF)
         IL=IBUFF(2)/1000 
c         LAYER = FLOAT(IL)+0.0001
         CALL HF1(ID0+2,FLOAT(IL),1.0)
         ISL = (IL-1)/5 + 1
c         SLAYER = FLOAT(ISL)+0.0001
         CALL HF1(ID0+1,FLOAT(ISL),1.0)
         DE = BUFF(4)
         CALL HF1(ID0+100,DE,1.0)
         CALL HF1(ID0+100+IL,DE,1.0)
         CALL HF1(ID0+200+ISL,DE,1.0)
  102 CONTINUE

      RETURN
      END
