      SUBROUTINE ITHITS
*.
*...ITHITS   Store HITS for the Intermediate Tracker
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Nakamura Isamu
*. VERSION   : 1.00
*. CREATED   : 04-Mar-1999
*. LAST MOD  : 04-Mar-1999
*.
*. MODIFICATION LOG
*. 04-Mar-1999 Nakamura; creation
*.
*.**********************************************************************
*-- Hit parameters
*-- 'X   ' X position  (100.+X)*1.0E4  X in cm
*-- 'Y   ' Y
*-- 'Z   ' Z
*-- 'PX  ' momentum in X direction (500.+PX)*1.0E6  PX in GeV
*-- 'PY  '
*-- 'PZ  '
*-- 'ELOS' Energy loss ELOS*1.0E6  ELOS in GeV
*
      IMPLICIT NONE

*--   Common for GEANT
#include "geant321/gcsets.inc"
#include "geant321/gckine.inc"
#include "geant321/gctrak.inc"
#include "geant321/gctmed.inc"
#include "geant321/gcvolu.inc"

#include "jmdet.inc"
#include "itgeo.inc"
#include "ithit.inc"

      REAL HITS(NHIT)
      INTEGER IHIT
*
*-- check skip flag
      IF (ISIMJD(IDETIT).EQ.ISKPJD) GOTO 999
*-- skip unless energy loss
      IF (DESTEP.LE.0) GOTO 999
*
*-- prepare hit information
      HITS(1)=VECT(1)
      HITS(2)=VECT(2)
      HITS(3)=VECT(3)
      HITS(4)=VECT(4)
      HITS(5)=VECT(5)
      HITS(6)=VECT(6)
      HITS(7)=DESTEP
*-- store hits in JHIT bank
      CALL GSCHIT(ISET,IDET,ITRA,NUMBV,HITS,1,IHIT)
*
  999 CONTINUE
      RETURN
      END
