      SUBROUTINE ITSPAR
*.
*...ITSPAR   Saves Intermediate Tracker Geometry Parameters into ZBS Bank.
*.           
*.
*. INPUT     : none
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : 
*. CALLS     : 
*. CALLED    : JMSAVP
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : J.Kanzaki
*. VERSION   : 1.00
*. CREATED   : 31-Mar-1999
*. LAST MOD  : 
*.
*. MODIFICATION LOG
*.
*.**********************************************************************
      IMPLICIT NONE

#include "itgeo.inc"
      
      INTEGER NPDATA
      PARAMETER (NPDATA=14)
      INTEGER IDATA(NPDATA)
      REAL    RDATA(NPDATA)
      EQUIVALENCE (RDATA(1),IDATA(1))

      INTEGER I,IERR

*-- Create ZBS Bank MCITPAR
      CALL KZBCR1('MCITPAR',NPDATA,'1I 13F',0,0,' ',IERR)

*-- Store Data to given Segment of Bank MCITPAR
      IDATA(1)  = NLAYIT
      RDATA(2)  = THIKIT
      DO 10 I=1,MLAYIT
         RDATA(2+I) = RIT(I)
         RDATA(2+MLAYIT+I) = ZLIT(I)
 10   CONTINUE

      CALL KZPUT1('MCITPAR',0,0,NPDATA,IDATA)

      RETURN
      END
