      SUBROUTINE JMSAVP
*.
*...JMSAVP   Saves Detector Parameters into ZBS Bank.
*.           
*. INPUT     : none
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : 
*. CALLS     : VXSPAR CTSPAR BCSPAR ECSPAR
*.           : KZWRIT KZECLR 
*. CALLED    : UGINIT
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Nakamura Isamu
*. VERSION   : 1.00
*. CREATED   : 03-Aug-1994
*. LAST MOD  : 23-May-1995
*.
*. MODIFICATION LOG
*. 11-Jan-1999 Y.Fujii,    Added BMSPAR and LMSPAR, made by Tauchi-san.
*. 23-May-1995 Nakamura.I, Add GESPAR to store GEANT PARAMETERS
*.
*.**********************************************************************
      IMPLICIT NONE

#include "jmfile.inc"

      INTEGER IDATA(1)

      INTEGER IKEY
      PARAMETER(IKEY = 1)
      
      IDATA(1) = IKEY

      CALL JMSPAR
      CALL GESPAR
      CALL VXSPAR
      CALL ITSPAR
      CALL CTSPAR
      CALL BCSPAR
      CALL ECSPAR
      CALL BMSPAR
      CALL LMSPAR

      IF (LUNMJM(IFILFO).GT.0) THEN
*-- Output an Event to the File Specified by LUNMJM
         CALL KZPUTH(IDATA)
         CALL KZWRIT(LUNMJM(IFILFO))
         CALL KZECLR
      ENDIF
      
      RETURN
      END
