      SUBROUTINE UGLAST
*.
*...UGLAST   GEANT3 user routine
*.           Termination routine to print histogram and statistics
*.
*. INPUT     : none
*. OUTPUT    : none
*.
*. SEQUENCE  :
*. COMMON    : GCFLAG
*. CALLS     : GLAST  HISTDO IGEND  KZEND
*. CALLED    : MAIN
*.
*. BANKS L   :
*. BANKS U   :
*. BANKS M   :
*. BANKS D   :
*.
*. REPORT CONDITIONS
*.
*. AUTHOR    : Naoyasu HOSODA
*. VERSION   : 1.00
*. CREATED   : 11-Mar-1994
*. LAST MOD  : 27-Jul-1994
*.
*. MODIFICATION LOG
*. 05-Nov-1998    J.Kanzaki, Add GPSTAT for volume optimization
*. 13-Jul-1994    Nakamura.I add Event-Bank Closing Routine.
*. 28-Jun-1994    N.Hosoda, Add KZEND
*. 18-May-1994    replace geant common by INCLUDE
*.
*.**********************************************************************
      IMPLICIT NONE

*--   Common for GEANT
#include "geant321/gcflag.inc"

*--   Common for JIM
#include "jmcntl.inc"
#include "jmfile.inc"
#include "jmtime.inc"

      REAL RDUM1,RDUM2

*--   Write CPU time
      CALL TIMED(T1JM)
      
*--   Standard GEANT termination routine
      CALL GLAST

*--   Terminate HIGZ
      IF (ISWIT(4) .GT. 0) CALL IGEND
*--   Find data-bank file name
      IF (LUNMJM(IFILFO).GT.0) THEN

*--   Close the data-bank file
         CALL KZEND(LUNMJM(IFILFO))

      ENDIF

*--   Output histogram
      IF (HISTJM.NE.0) THEN
         CALL HISTDO
         IF (LUNMJM(IFILHB).GT.0) THEN
            CALL HRPUT(0,FNAMJM(IFILHB),'N')
         ENDIF
      ENDIF

*-- report from StopWatch
      CALL SWATCH('*     ','REPORT',RDUM1,RDUM2)
      
      WRITE(LUSOJM,600) 'Total CPU time = ',T1JM,' sec.'
      WRITE(LUSOJM,600) 'CPU time/event = ',T1JM/REAL(NEVENT),' sec.'
 600  FORMAT(A,F12.4,A)

*-- Error Report
      CALL MSGFIN

  999 CONTINUE
      RETURN
      END
