      SUBROUTINE JLGVXP(ICODE)
      
      IMPLICIT NONE

#include "jlcnst.inc"
#include "vxgeo.inc"
#include "vxcyl.inc"
      
#include "buffer.inc"

      INTEGER ICODE
      
      INTEGER LSEG,LSEG0
      PARAMETER (LSEG0=16)
      INTEGER LBANK

      REAL RVX0(MLAYVX),ZVX0(MLAYVX)

      DATA RVX0/ 2.4, 3.6, 4.8, 6.0, 0.,0./
      DATA ZVX0/ 5.0, 7.5, 10.0, 12.5, 0., 0./

      REAL SITK0
      PARAMETER (SITK0 = 300.E-4)

      INTEGER I
      

      ICODE = 0

      CALL KZBLOC('MCVXPAR',LBANK)
      IF (LBANK.LE.0) THEN
         CALL MSGOUT('JLGVXP','MCVXPAR does not exist',LBANK)
         ICODE = 1
         RETURN
      ENDIF
      
      CALL KZLSEG('MCVXPAR',0,LSEG)

      CALL KZGET('MCVXPAR',0,NBUFF,IBUFF)

      NLAYVX = IBUFF(1)
      DLTKVX = RBUFF(2)
      PXCLVX = RBUFF(3)
      RVX(1) = RBUFF(4)
      RVX(2) = RBUFF(5)
      RVX(3) = RBUFF(6)

      IF (LSEG.LT.LSEG0) THEN

         IF (RVX(1).EQ.RVX0(1) .AND. RVX(2).EQ.RVX0(2) .AND.
     &        RVX(3).EQ.RVX0(3) .AND.
     &        RBUFF(7).EQ.ZVX0(1) .AND. RBUFF(8).EQ.ZVX0(2) .AND.
     &        RBUFF(9).EQ.ZVX0(3) .AND. RBUFF(10).EQ.SITK0) THEN

            RVX(4) = RVX0(4)
            ZVX(1) = RBUFF(7)
            ZVX(2) = RBUFF(8)
            ZVX(3) = RBUFF(9)
            ZVX(4) = ZVX0(4)
            SITKVX = RBUFF(10)

         ELSE

            CALL MSGOUT('JLGVXP','Fatal wrong geometry data for VX',1)
            STOP

         ENDIF

      ELSE

         RVX(4) = RBUFF(7)
         RVX(5) = RBUFF(8)
         RVX(6) = RBUFF(9)
         ZVX(1) = RBUFF(10)
         ZVX(2) = RBUFF(11)
         ZVX(3) = RBUFF(12)
         ZVX(4) = RBUFF(13)
         ZVX(5) = RBUFF(14)
         ZVX(6) = RBUFF(15)
         SITKVX = RBUFF(16)

      ENDIF

      DO 100 I=1,NLAYVX
         RCYLVX(1,I) = 0.
         RCYLVX(2,I) = RVX(I)
         ZCYLVX(1,I) = -ZVX(I)
         ZCYLVX(2,I) =  ZVX(I)
         NDZVX(I) = NINT(ZVX(I)*2.0/PXCLVX)
         NDPHVX(I) = NINT(2.0*XPI*RVX(I)/PXCLVX)
 100  CONTINUE 


      RETURN
      END
