      REAL FUNCTION PHIDXY(X1,X2)

      IMPLICIT NONE
      
      REAL X1(2),X2(2)

      DOUBLE PRECISION DX1(2),DX2(2)
      DOUBLE PRECISION X1ABS,X2ABS
      DOUBLE PRECISION COSPHI,SINPHI
      DOUBLE PRECISION DPHI

      INTEGER I



      DO 10 I=1,2
         DX1(I) = X1(I)
         DX2(I) = X2(I)
 10   CONTINUE 

      X1ABS = DSQRT(DX1(1)**2+DX1(2)**2)
      X2ABS = DSQRT(DX2(1)**2+DX2(2)**2)
      COSPHI = (DX1(1)*DX2(1)+DX1(2)*DX2(2))/X1ABS/X2ABS
      SINPHI = (DX1(1)*DX2(2)-DX1(2)*DX2(1))/X1ABS/X2ABS

      IF (DABS(COSPHI).GE.1.) THEN
         COSPHI = DSIGN(1.D0,COSPHI)
      ENDIF

      DPHI = DACOS(COSPHI)
      DPHI = DSIGN(DPHI,SINPHI)
      
      PHIDXY = DPHI

      RETURN
      END

