C
C      ANALYSIS RESULTS
C
      COMMON / ANARES / MHGEN,  MRGEN,  MHREC,  MRREC, 
     &                  MHEMC,  MREMC,  MULTIP,
     &                  THGEN,  FIGEN,  EGGEN,  EVGEN,
     &                  THREC,  FIREC,  EGREC,  EVREC,
     &                 ECALEM, ECALHD, ECALAL
      REAL              MHGEN,  MRGEN,  MHREC,  MRREC, 
     &                  MHEMC,  MREMC,  MULTIP,
     &                  THGEN,  FIGEN,  EGGEN,  EVGEN,
     &                  THREC,  FIREC,  EGREC,  EVREC,
     &                 ECALEM, ECALHD, ECALAL
C
C     CONTROL PARAMETERS OF DEBUG MODE
C
      COMMON / DBGPM / ETHRES, DBGEVT, DEBUG,  DBGACL, DBGBCP, 
     &                 DBGECP, DBGCRP, DBGCLS, DBGHIT, DBGHBD,
     &                 DBGMCE, DBGTRK, DBGKFT, DBGWRC, DBGHBO,
     &                 DBGTCL, DBGGGM, DBGWM2, DBGWMJ, DBGHLT,
     &                 DBGDCY, DBGAGN, DBGJET, DBGGCL   
      INTEGER          DBGEVT
      LOGICAL          DBGACL, DBGBCP, DBGECP, DBGCRP, DBGCLS, DBGHIT, 
     &                 DBGMCE, DBGTRK, DBGKFT, DBGWRC, DBGHBO, DBGHBD,
     &                 DBGTCL, DBGGGM, DBGWM2, DBGWMJ, DBGHLT, DEBUG,  
     &                 DBGDCY, DBGAGN, DBGJET, DBGGCL  
      REAL             ETHRES
C
C
      COMMON / ANCUT1 / RMCUT1, RMCUT2, EGCUT1, EGCUT2,
     &                  THGCT1, THGCT2,  
     &                  ISEED, ROOTS, GENMAS, EEMCUT, YCUT,
     &                  PZCUT, THJCT1, THJCT2, VEMIN, VEMAX, 
     &                  RMMIN, RMMAX,  JETOK, VEOK, RMOK 
      REAL              RMCUT1, RMCUT2, EGCUT1, EGCUT2,
     &                  THGCT1, THGCT2,  
     &                  ROOTS, GENMAS, EEMCUT, YCUT, 
     &                  PZCUT, THJCT1, THJCT2, VEMIN, VEMAX,
     &                  RMMIN, RMMAX
      INTEGER           ISEED
      LOGICAL           JETOK, VEOK, RMOK
C
      COMMON / ANCUT2/ ESIGEM, ESIGHD, ECONEM, ECONHD, NDECUT, CONCUT,
     &                 NDE0BE, NDE0EE, NDE0BH, NDE0EH,
     &                 NDE1BE, NDE1EE, NDE1BH, NDE1EH,
     &                 WTDSBE, WTDTBE, WTDEBE, 
     &                 WTDSEE, WTDTEE, WTDEEE, CHICUT,
     &                 DS0BH,  DS1BH,  DZ0BH,  DZ1BH, 
     &                 DS0EH,  DS1EH,  DR0EH,  DR1EH 
      REAL     CONCUT,
     &         ESIGEM, ESIGHD, NDECUT,
     &         WTDSBE, WTDTBE, WTDEBE, CHICUT, ECONEM, ECONHD, 
     &         WTDSEE, WTDTEE, WTDEEE, 
     &         NDE0BE, NDE0EE, NDE0BH, NDE0EH,
     &         NDE1BE, NDE1EE, NDE1BH, NDE1EH,
     &         DS0BH,  DS1BH,  DZ0BH,  DZ1BH, 
     &         DS0EH,  DS1EH,  DR0EH,  DR1EH 
C
      COMMON / GEOPM / REMC(2), RHAD(2), ZEMC(2), ZHAD(2)
      REAL             REMC, RHAD, ZEMC, ZHAD
C
C     BUFFER FOR KZGET
C
      COMMON / BUFFER / BUFF(4000)
      REAL     BUFF
      INTEGER IBUFF(4000) 
      EQUIVALENCE  (IBUFF(1),BUFF(1))
C
C     CALORIMETER CELL POSITIONS
C
      COMMON / CALPOS / NTH, NFI, NDR, NDP(200),
     &                  XEM(300), YEM(300), ZEM(300),
     &                  XHD(150), YHD(150), ZHD(300)
      REAL              XEM, YEM, ZEM, XHD, YHD, ZHD  
      INTEGER      NTH, NFI, NDR, NDP
C
C     DATA FROM BANK 'MCEVENT'
C     IPCODE(i) = Lund Particle code for i-th particle.
C     IPBEAM = Particle code of beam particle (e+-)
C     IPGEN  = Particle code of first generated ( W in e+e- => W+W-)
C     NPDET  = # of detected particles 
C
      COMMON / MCDATA / NEXP, NRUN, NEVENT, NPART, NPDET,
     &                  IPCODE(1000), IPMOTH(1000), IPDAUG(1000),
     &                  PXGEN(1000),  PYGEN(1000), PZGEN(1000),
     &                  VXGEN(1000), VYGEN(1000), VZGEN(1000), 
     &                  ETGEN(1000), MASGEN(1000), QGEN(1000),
     &                  PTGEN(1000), IPBEAM, IPGEN, DMODE
      INTEGER   NEXP, NRUN, NEVENT, NPART, NPDET,
     &          IPCODE, IPMOTH, IPDAUG, IPBEAM, IPGEN, DMODE
      REAL      PXGEN, PYGEN, PZGEN, VXGEN, VYGEN, VZGEN,
     &          ETGEN, MASGEN, QGEN, PTGEN 
C
      COMMON / MCANAL / IPGM, IPGP, IGAXIS, EWM, EWP, MWM, MWP, 
     &         PXGM, PYGM, PZGM, PTGM, PGM, THGM, FIGM, 
     &         PXGP, PYGP, PZGP, PTGP, PGP, THGP, FIGP, PZBAL
      INTEGER  IPGM, IPGP, IGAXIS
      REAL     EWM, EWP, MWM, MWP, 
     &         PXGM, PYGM, PZGM, PTGM, PGM, THGM, FIGM, 
     &         PXGP, PYGP, PZGP, PTGP, PGP, THGP, FIGP, PZBAL
C      
C     TRACK PARAMETER DATA FROM 'FJIM-CDC-TrackParameter'
C
C     PX0CT,PY0CT,PZ0CT,PTOTCT = Momentum of i-th track
C      X0CT, Y0CT, Z0CT        = Vertex point (impact parameter actually) 
C      X/Y/ZCTCAL, X/Y/ZCTHAD  = Track point extraporated on EM/HAD surface.
C      IPTRK                   = pointer from track # to generator particle #.
C
      COMMON /TKDATA/ NCGTRK, PX0CT(1000), PY0CT(1000), PZ0CT(1000),
     &                PTOTCT(1000),X0CT(1000),Y0CT(1000),Z0CT(1000),  
     &                XCTCAL(1000),YCTCAL(1000),ZCTCAL(1000),  
     &                XCTHAD(1000),YCTHAD(1000),ZCTHAD(1000),
     &                IPTRK(1000)  
      INTEGER         NCGTRK, IPTRK
      REAL      PX0CT, PY0CT, PZ0CT, PTOTCT, X0CT, Y0CT, Z0CT,
     &          XCTCAL, YCTCAL, ZCTCAL, XCTHAD, YCTHAD, ZCTHAD  
C
C     DATA FOR CAL HIT BANK
C
C     ICELEE(i) = Cell # of i-th hit-cell
C     ETEEHIT   = Total energy of EndcapEM hit-cell
C     TH/FI/NTEEHT = Theta, Phai, #of contributing tracks of EE hit
C     LTEEHT       = Generator particle# of contributing tracks
C
      INTEGER NEEMAX
      PARAMETER (NEEMAX = 2000)
      COMMON / HTDATA / NEEHIT, NEHHIT, NBEHIT, NBHHIT,
     &         ICELEE(NEEMAX), ETEEHT(NEEMAX), THEEHT(NEEMAX), 
     &         FIEEHT(NEEMAX),
     &          XEEHT(NEEMAX),  YEEHT(NEEMAX),  ZEEHT(NEEMAX),
     &         NTEEHT(NEEMAX), LTEEHT(500,NEEMAX), PTEEHT(500,NEEMAX),
     &         ICELEH(NEEMAX), ETEHHT(NEEMAX), THEHHT(NEEMAX), 
     &         FIEHHT(NEEMAX),
     &          XEHHT(NEEMAX),  YEHHT(NEEMAX),  ZEHHT(NEEMAX),
     &         NTEHHT(NEEMAX), LTEHHT(500,NEEMAX), PTEHHT(500,NEEMAX),
     &         ICELBE(NEEMAX), ETBEHT(NEEMAX), THBEHT(NEEMAX),
     &         FIBEHT(NEEMAX),
     &          XBEHT(NEEMAX),  YBEHT(NEEMAX),  ZBEHT(NEEMAX),
     &         NTBEHT(NEEMAX), LTBEHT(500,NEEMAX), PTBEHT(500,NEEMAX),
     &         ICELBH(NEEMAX), ETBHHT(NEEMAX), THBHHT(NEEMAX), 
     &         FIBHHT(NEEMAX),
     &          XBHHT(NEEMAX),  YBHHT(NEEMAX),  ZBHHT(NEEMAX),
     &         NTBHHT(NEEMAX), LTBHHT(500,NEEMAX), PTBHHT(500,NEEMAX)
      INTEGER  NEEHIT, NEHHIT, NBEHIT, NBHHIT, 
     &         ICELEE, ICELEH, ICELBE, ICELBH,
     &         NTEEHT, NTEHHT, NTBEHT, NTBHHT,
     &         LTEEHT, LTEHHT, LTBEHT, LTBHHT
      REAL     ETEEHT, THEEHT, FIEEHT, PTEEHT, XEEHT, YEEHT, ZEEHT,
     &         ETEHHT, THEHHT, FIEHHT, PTEHHT, XEHHT, YEHHT, ZEHHT,
     &         ETBEHT, THBEHT, FIBEHT, PTBEHT, XBEHT, YBEHT, ZBEHT,
     &         ETBHHT, THBHHT, FIBHHT, PTBHHT, XBHHT, YBHHT, ZBHHT
C
C     VARIABLES FOR DATA IN BANK 'MCBECLUS' ETC. MAX=1000 CLUSTERS. 
C     BE=BARREL EM, BH=BARREL HAD, EE=ENDCAP EM, EH=ENDCAP HAD    
C
      COMMON /CLDATA/ 
     &        NBECLS, EBECLS, NBECEL(1000), NBETRK(1000),
     &        LBEFB(1000), LBECEL(100,1000), LBETRK(100,1000), 
     &        ETBECL(1000), EXBECL(1000), EYBECL(1000), EZBECL(1000),
     &        XBECL(1000), YBECL(1000), ZBECL(1000),
     &        NBHCLS, EBHCLS, NBHCEL(1000), NBHTRK(1000),
     &        LBHFB(1000), LBHCEL(100,1000), LBHTRK(100,1000), 
     &        ETBHCL(1000), EXBHCL(1000), EYBHCL(1000), EZBHCL(1000),
     &        XBHCL(1000), YBHCL(1000), ZBHCL(1000),
     &        NEECLS, EEECLS, NEECEL(1000), NEETRK(1000),
     &        LEEFB(1000), LEECEL(100,1000), LEETRK(100,1000), 
     &        ETEECL(1000), EXEECL(1000), EYEECL(1000), EZEECL(1000),
     &        XEECL(1000), YEECL(1000), ZEECL(1000),
     &        NEHCLS, EEHCLS, NEHCEL(1000), NEHTRK(1000),
     &        LEHFB(1000), LEHCEL(100,1000), LEHTRK(100,1000), 
     &        ETEHCL(1000), EXEHCL(1000), EYEHCL(1000), EZEHCL(1000),
     &        XEHCL(1000), YEHCL(1000), ZEHCL(1000)
      INTEGER NBECLS, NBECEL, NBETRK, LBECEL, LBETRK, 
     &        NBHCLS, NBHCEL, NBHTRK, LBHCEL, LBHTRK,
     &        NEECLS, NEECEL, NEETRK, LEECEL, LEETRK,
     &        NEHCLS, NEHCEL, NEHTRK, LEHCEL, LEHTRK
      REAL    EBECLS,ETBECL,EXBECL,EYBECL,EZBECL,XBECL,YBECL,ZBECL,
     &        EBHCLS,ETBHCL,EXBHCL,EYBHCL,EZBHCL,XBHCL,YBHCL,ZBHCL,
     &        EEECLS,ETEECL,EXEECL,EYEECL,EZEECL,XEECL,YEECL,ZEECL,
     &        EEHCLS,ETEHCL,EXEHCL,EYEHCL,EZEHCL,XEHCL,YEHCL,ZEHCL,
     &        LBEFB, LBHFB, LEEFB, LEHFB 

C
C     GLOBAL-CLUSTER DATA
C
C            NGCL        ; Total Number of Global Clusters.
C            NHGCL(ig)   ; Number of Hit-Cells in ig-th Global Cluster.
C            LCGCL(ih,ig) ; Region ('BH' etc) of ih-th hit in ig-th GCL.
C            LNGCL(ih,ig) ; Serial Hit # of ih-th hit in ig-th Global Cluster. 
C            LIGCL(ih,ig) ; ID# of ih-th hit-cell in ig-th Global Cluster.  
C            EGCL(ig)    ; Total Energy of ig-th Global Cluster.
C            XGCL(ig)    ; X of Gravity of ig-th Global Cluster.
C            YGCL(ig)    ; Y of Gravity of ig-th Global Cluster.
C            ZGCL(ig)    ; Z of Gravity of ig-th Global Cluster.
C
      COMMON / GCDATA / NGCL, NHGCL(500), LCGCL(200,500), 
     &                  LNGCL(200,500), LIGCL(200,500), 
     &                  EGCL(500), XGCL(500), YGCL(500), ZGCL(500)
      REAL              EGCL, XGCL, YGCL, ZGCL
      INTEGER           NGCL, NHGCL, LNGCL, LIGCL
      CHARACTER*2       LCGCL 
C
C     TRACK-CLUSTER MATCHING 
C
      COMMON / CLTKMC / NCAN(1000),  ICAN(1000),  LCAN(50,1000),
     &     DECAN(1000), DSCAN(1000), DZCAN(1000), DRCAN(1000),
     &     THCAN(1000), CLCAN(1000),  CCAN(1000)  
      INTEGER       NCAN,  ICAN, CLCAN,  LCAN
      REAL         DECAN, DSCAN, DZCAN, THCAN, DRCAN
      CHARACTER*2   CCAN
C
C     CAL ENERGY AFTER TRACK SUBTRACTION
C     NCALTK ; Number of remaining clusters after track-matched deletion.
C     IDXECL ; Index from remaining cluster to original cluster #
C     CDXECL ; Index character from //      to      //          name as 'BE'
C     IDXECT ; Index from           //      to subtracted CDC track if any.
C              Encoded as I+J*100+L*10000 if more than 1 tracks subtractd.
C     ECALTK ; Energy of track-subtracted cluster.
C   
      COMMON / CLTKDT / NCALTK, NCEM,
     &         IDXECL(1000), CDXECL(1000), IDXECT(1000),
     &         ECALTK(1000), EXCLTK(1000), EYCLTK(1000), EZCLTK(1000) 
      INTEGER  NCALTK, IDXECL, IDXECT, NCEM
      REAL     ECALTK, EXCLTK, EYCLTK, EZCLTK
      CHARACTER*2      CDXECL
C
