      PROGRAM NTMAKE
*
*  This program reconstruct mass of H generated in Nu-Nu-H production
C  where H decays into gamma-gamma pair.  
*  The data are read from the file of the ZBS BANK system.
*
C     ZHRECON was modified to NNHREC.			10-Sep-1998, Y.Fujii
C     WRECON was modified to ZHRECON.			30-May-96, Y.Fujii
*     Original program for jim was modified for fjim.	12-Apr-96, Y.Fujii
* 
*     Ishii-san's single-W reconstruction program 
*     was modified 25-Mar-96 by Y.Fujii

      IMPLICIT NONE

#include "jlunit.inc"
#include "jlfile.inc"
#include "jlanal.inc"
#include "trbuff.inc"
#include "pawc.inc"
      
*-- For ZEBRA RZ extention 
      INTEGER         IQUEST
      COMMON/QUEST/   IQUEST(100)
      SAVE/QUEST/

      INTEGER ID
      PARAMETER (ID=10)

      INTEGER IERR,ICYCLE

      INTEGER LNBLNK


*-- HBOOK etc. Initialization
      CALL HLIMIT(NHBOOK)

      CALL KZOPTN('NO-ZEBRA-INIT')

      CALL KZINIT
      
      CALL JLFFKY

      CALL FFGO

C================  NTUPLE definitions =========================

C----- extend record counts
      IQUEST(10) = 65536
C----- open a direct access file for output ntuple (extended mode)
      CALL HROPEN(LUNTPL,'USER',FNNTPL(:LNBLNK(FNNTPL)),'NQ',4096,IERR)
C----- ntuple definition (disk resident)
      CALL HBNT(ID,'Joint Lenear Collider','D')
      CALL HBSET('BSIZE',4096,IERR)
C----- Variable definition
      CALL NTDEF(ID)
      
      IEVENT = 0      

 1000 CONTINUE 

      CALL JLREAD(IERR)
      IF (IERR.NE.0) GO TO 999

      IEVENT = IEVENT + 1

      WRITE(6,600) IEVENT
 600  FORMAT(//1H ,'<< Event #: ',I5,' >>'/)
         
      CALL GETMCH

*-- Read Data from Bank MCEVENT 

c      CALL GETGEN

*-- Read Track Data
      CALL CTHSIM
      CALL CTANAL

      CALL GETTRK
      
      CALL GETCAL(IERR)

CCCCC CALL BCOUT
CCCCC CALL ECOUT

CCCCC CALL GETCLS

      CALL VXANAL(IERR)

      CALL GETVTX

      CALL HCDIR('//PAWC',' ')
      CALL HCDIR('//USER',' ')
      CALL HFNT(ID)
      CALL HCDIR('//PAWC',' ')

      IF (NEVANA.EQ.0 .OR. 
     &     NEVANA.GT.0 .AND. IEVENT.LT.NEVANA) GO TO 1000

 999  CONTINUE

*-- Terminate

      CALL KZEND(0)
      
      CALL MSGFIN

      call hprint(id)

      CALL HCDIR('//USER',' ')
      CALL HLDIR('//USER','TA')
      CALL HCDIR('//USER',' ')
C      CALL HLDIR(' ',' ')
      CALL RZLDIR(' ',' ')
      CALL HROUT(ID,ICYCLE,' ')
      CALL RZPURG(1)
      CALL HREND('USER')
      CLOSE (LUNTPL)

      STOP
      END
