************************************************************************
*     -----------------------------------------------
      SUBROUTINE KZADD0(CNAME,ISEGM,CFORM,NDATA,IDATA)
*     -----------------------------------------------
*
*     (Purpose)
*       Put data words into the given segment of the bank.
*
*     (Input)
*       CNAME ; The name of the bank
*       ISEGM ; Segment#
*       CFORM ; I/O format word in a character
*       NDATA ; Length of the data
*       IDATA ; Data words to be added
*
*     (Output)
*       none
*
*     (Creation Date and Author)
*       1991.12.25 ; First version by J.Kanzaki
*       1996.04.26 : Add declarations. J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbs.inc"
#include "zbssys.inc"

      CHARACTER*(*) CNAME
      CHARACTER*1 CFORM
      INTEGER ISEGM,NDATA,IDATA(*)

      CALL KZREP0(CNAME,ISEGM,CFORM,NDATA,IDATA)

      RETURN
      END
