************************************************************************
*     -----------------------------------------------------------------
      SUBROUTINE KZCRD2(IBANK,CNAME,NWMAST,NSEGM,NWSMST,IOX2,LSEGM,IOX)
*     -----------------------------------------------------------------
*
*     (Purpose)
*       Create data record. (fixed 2-dim. case)
*
*     (Input)
*       CNAME  ; Name of the bank
*       NWMAST ; Length of the master record
*       NSEGM  ; No. of segments
*       LSEGM  ; Legnth of th segment
*
*     (Output)
*       LDTR  ; Address of the created data record
*
*     (Creation Date and Author)
*       1992.12.22 : First version by J.Kanzaki
*       1996.04.26 : Add declarations. J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbs.inc"
#include "zbssys.inc"

      INTEGER IBANK,NWMAST,NSEGM,NWSMST,LSEGM,IOX2,IOX
      CHARACTER*(*) CNAME

      INTEGER NLDTR,NSDTR
      PARAMETER (NLDTR= 0,NSDTR= 0)

      INTEGER LDTR
      INTEGER NDDTR,IXEVTD


      NDDTR = NWMAST + LDTRC0

      IXEVTD = IXDIV(2)

      CALL MZBOOK(IXEVTD,LDTR,LZBS(IBANK),-ILDATR,
     &     CNAME(1:4),NLDTR,NSDTR,NDDTR,IOX,0)

      IF (NSEGM*NWSMST.GT.0) THEN

         NDDTR = NSEGM*NWSMST
         
         CALL MZBOOK(IXEVTD,LDTR,LZBS(IBANK),-ILSMST,
     &        CNAME(1:4),NLDTR,NSDTR,NDDTR,IOX2,0)

      ENDIF

      RETURN
      END
