************************************************************************
*     -----------------------------
      SUBROUTINE KZEXB2(LBIR,ISEGM)
*     -----------------------------
*
*     (Purpose)
*       Expand bank index record
*
*     (Input)
*       LBIR  ; Address of the bank index record
*       ISEGM ; Target segment# to be added
*
*     (Output)
*       none
*
*     (Creation Date and Author)
*       1991.12.25 : First version by J.Kanzaki
*       1996.04.26 : Add declarations. J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbs.inc"
#include "zbssys.inc"

      INTEGER LBIR,ISEGM

      INTEGER NSEGM,NWSMST
      INTEGER LSMST
      INTEGER ISDIFF,LIND

      INTEGER I


      NSEGM = IZBS(LBIR+INSEGM)
      ISDIFF = ISEGM-NSEGM
      IF(ISDIFF.LE.0) RETURN

      CALL MZPUSH(IXSTOR,LBIR,0,LINDSG*ISDIFF,' ')

      NWSMST = IZBS(LBIR+INSMST)
      LSMST = LZBS(LBIR-ILSMST)
      CALL MZPUSH(IXSTOR,LSMST,0,NWSMST*ISDIFF,' ')

      IZBS(LBIR+INSEGM)=ISEGM

      DO 100 I=NSEGM+1,ISEGM
         LIND=LBIR+LINDHD+I*LINDSG
         IF(I.EQ.0) THEN
            IZBS(LIND+1)=0
            IZBS(LIND+2)=0
         ELSE
            IZBS(LIND+1)=-1
            IZBS(LIND+2)=0
         END IF
 100  CONTINUE

      RETURN
      END
