************************************************************************
*     ------------------------------
      SUBROUTINE KZNSEG(CNAME,NSEGM)
*     ------------------------------
*
*     (Purpose)
*       Get the number of segments of the specified bank.
*
*     (Input)
*       CNAME  ; The name of the bank
*
*     (Output)
*       NSEGM  ; No. of segments
*
*     (Creation Date and Author)
*       1993.05.19 ; First version by J.Kanzaki
*       1996.04.27 : Add declarations. J.Kanzaki
*
************************************************************************

#include "zbsdeclr.inc"
#include "zbs.inc"
#include "zbssys.inc"

      CHARACTER*(*) CNAME
      INTEGER NSEGM

      INTEGER LBIR


      CALL KZBLOC(CNAME, LBIR)

      NSEGM = -1

      IF(LBIR.LE.0) RETURN

      NSEGM = IZBS(LBIR+INSGMX)

      RETURN
      END
