************************************************************************
*
*     ----------------------------------
      SUBROUTINE KZOPEN(LUN,CFILE,ICODE)
*     ----------------------------------
*
*     (Purpose)
*       Define files for data I/O and allocate logical unit number
*
*     (Input)
*       LUN   ; Logical unit number
*       CFILE ; Name of file to be allocated
*
*     (Output)
*       ICODE ; Error code of file allocation
*
*     (Creation Date and Author)
*       1999.03.01 ; First version by J.Kanzaki
*
************************************************************************


#include "zbssys.inc"
#include "zbs.inc"

      INTEGER LUN
      CHARACTER*(*) CFILE
      INTEGER ICODE

      INTEGER LNBLNK


      ICODE = 0

      OPEN(LUN,FILE=CFILE(1:LNBLNK(CFILE)),
     &     ACCESS='DIRECT',STATUS='UNKNOWN',
     &     FORM='UNFORMATTED',RECL=3600,IOSTAT=ICODE)

      CALL FZFILE(LUN,900,'DIO')

C     CALL FZFILE(LUN,0,'XO')
C      CALL FZFILE(LUN,0,'XIO')
C     CALL FZFILE(LUN,1620,'XIO')

CCCCC PRINT *,'KZFILE;IQUEST(1) = ',IQUEST(1)

      RETURN
      END
